net.sourceforge.pmd.lang.jsp.ast

## Class ASTElement

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode
    - - net.sourceforge.pmd.lang.jsp.ast.ASTElement

All Implemented Interfaces:
  Node, JspNode

    public class ASTElement
    extends AbstractJspNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTElement(int id)`
`ASTElement(JspParser p, int id)`

### Method Summary

Methods
`String` `getLocalName()`
`String` `getName()`
`String` `getNamespacePrefix()`
`boolean` `isEmpty()`
`boolean` `isHasNamespacePrefix()`
`boolean` `isUnclosed()`
`Object` `jjtAccept(JspParserVisitor visitor, Object data)` Accept the visitor
`void` `setEmpty(boolean empty)`
`void` `setName(String name)`
`void` `setUnclosed(boolean unclosed)`

### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode

`childrenAccept, jjtClose, jjtOpen, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTElement

    public ASTElement(int id)

#### ASTElement

    public ASTElement(JspParser p,
              int id)

### Method Detail

#### isHasNamespacePrefix

    public boolean isHasNamespacePrefix()

Returns:
  boolean - true if the element has a namespace-prefix, false otherwise

#### getNamespacePrefix

    public String getNamespacePrefix()

Returns:
  String - the part of the name that is before the (first) colon (":")

#### getLocalName

    public String getLocalName()

Returns:
  String - The part of the name that is after the first colon (":"). If the name does not contain a colon, the full name is returned.

#### getName

    public String getName()

Returns:
  Returns the name.

#### setName

    public void setName(String name)

Parameters:
  `name` - The name to set.

#### isEmpty

    public boolean isEmpty()

Returns:
  Returns the empty.

#### isUnclosed

    public boolean isUnclosed()

#### setUnclosed

    public void setUnclosed(boolean unclosed)

#### setEmpty

    public void setEmpty(boolean empty)

Parameters:
  `empty` - The empty to set.

#### jjtAccept

    public Object jjtAccept(JspParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JspNode`
Overrides:
  `jjtAccept` in class `AbstractJspNode`